2018-08-20 05:41 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0002681FSSCPHUDpublic2012-07-23 22:08
ReporterGoober5000 
Assigned Toniffiwan 
PriorityurgentSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target Version3.6.14Fixed in Version 
Summary0002681: One part of the FSPort reticle is miscolored
DescriptionSee attached screenshot. The reticle quadrant on the lower-right is not colored the same as the rest of the HUD.

This appears to only happen with the modified lower-right quadrant (i.e. the one that shows primary and secondary weapon selection). The FS2 reticle displays in the expected color.
TagsNo tags attached.
Attached Files
  • png file icon reticle.png (113,520 bytes) 2012-07-06 22:50 -
    png file icon reticle.png (113,520 bytes) 2012-07-06 22:50 +
  • patch file icon mantis2681.patch (467 bytes) 2012-07-07 06:27 -
    Index: fs2_open/code/hud/hudreticle.cpp
    ===================================================================
    --- fs2_open/code/hud/hudreticle.cpp    (revision 8995)
    +++ fs2_open/code/hud/hudreticle.cpp    (working copy)
    @@ -755,6 +755,8 @@ void HudGaugeWeaponLinking::render(float frametime)
     	int			gauge_index=0, frame_offset=0;
     	ship_weapon	*swp;
     
    +	setGaugeColor();
    +
     	renderBitmap(arc.first_frame+1, position[0], position[1]);
     
     	swp = &Player_ship->weapons;
    
    patch file icon mantis2681.patch (467 bytes) 2012-07-07 06:27 +

-Relationships
+Relationships

-Notes

~0013838

niffiwan (developer)

I hope Swifty doesn't mind me pushing in here.... I think this is a simple fix - please see the attached patch. Could you please test this Goober?

~0013840

Goober5000 (administrator)

I was hoping it would be a quick fix like that. That does indeed fix the issue. :)

I just want to get Swifty's input on whether this is the right place to put that, and if it is, we can mark this as fixed.

~0013841

Swifty (developer)

It's fine.

~0013842

Goober5000 (administrator)

Terrific -- Swifty has signed off on it.

~0013843

Goober5000 (administrator)

Fix committed to trunk@9000.

~0013880

Zacam (administrator)

Fix committed to fs2_open_3_6_14@9035.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2012-07-06 22:48 Goober5000 New Issue
2012-07-06 22:48 Goober5000 Assigned To => Swifty
2012-07-06 22:48 Goober5000 Status new => assigned
2012-07-06 22:50 Goober5000 File Added: reticle.png
2012-07-07 06:27 niffiwan File Added: mantis2681.patch
2012-07-07 06:29 niffiwan Note Added: 0013838
2012-07-07 06:30 niffiwan Status assigned => feedback
2012-07-07 16:46 Goober5000 Note Added: 0013840
2012-07-07 16:46 Goober5000 Status feedback => assigned
2012-07-07 16:46 Goober5000 Assigned To Swifty => niffiwan
2012-07-07 16:46 Goober5000 Status assigned => feedback
2012-07-07 16:48 Swifty Note Added: 0013841
2012-07-07 16:49 Goober5000 Note Added: 0013842
2012-07-07 16:49 Goober5000 Status feedback => assigned
2012-07-07 16:49 Goober5000 Status assigned => resolved
2012-07-07 16:49 Goober5000 Resolution open => fixed
2012-07-07 16:49 Goober5000 Changeset attached => fs2open trunk r9000
2012-07-07 16:49 Goober5000 Note Added: 0013843
2012-07-23 22:08 Zacam Changeset attached => fs2open fs2_open_3_6_14 r9035
2012-07-23 22:08 Zacam Note Added: 0013880
+Issue History